initialCounts=[1000;1000;0]; 
V = 1e-15; 
Na = 6.023e23; 
initialConc = initialCounts./(V*Na); 
S=[-1 1 ;-1 1 ;1 -1];
L=-S.*(S<0);
k=[1.07e5 0.351]; 
M1s=ones(size(k)); 
dC = @(t,x) S*(k.*prod(x(:,M1s).^L)).'; 
[t,x]=ode15s(dC,[0:1e-3:10],initialConc); 
x=x.*(V*Na); 
hold on; 
plot(t,x(:,1),'r','LineWidth',2); 
plot(t,x(:,2),'b'); plot(t,x(:,3),'g'); 
xlabel('Time (sec)','FontSize',20); 
ylabel('Particle Counts','FontSize',20); 
legend('A','B','C');