inputFilename='bimol-cme.lm';
x=[0:1000];
numberReplicates=100;
species=1;
for R=[1:numberReplicates]
if R == 1
ts=cast(permute(hdf5read(inputFilename,...
sprintf('/Simulations/%07d/SpeciesCountTimes',R)),[2,1]),'double');
Pt=zeros(size(x,2),size(ts,2));
end
counts=cast(permute(hdf5read(inputFilename,...
sprintf('/Simulations/%07d/SpeciesCounts',R)),[2,1]),'double');
for ti=[1:size(ts,2)]
Pt(counts(ti,species)+1,ti)=Pt(counts(ti,species)+1,ti)+1;
end
end
Pt=Pt./numberReplicates;
E=zeros(1,size(ts,2));
V=zeros(1,size(ts,2));
for ti=[1:size(ts,2)]
E(ti)=sum(x'.*Pt(:,ti));
V(ti)=sum((power(x'-E(ti),2)).*Pt(:,ti));
end
subplot(2,1,1);
plot(ts(1:10:end), E(1:10:end));
axis([0 10 1e2 1e3]); xlabel('Time (s)'); ylabel('E{A(t)}');
subplot(2,1,2);
plot(ts(1:10:end), V(1:10:end));
axis([0 10 1e0 2e2]); xlabel('Time (s)'); ylabel('Var{A(t)}');
