inputFilename='lac-cme-sbml.lm';
ts=cast(permute(hdf5read(inputFilename,sprintf('/Simulations/%07d/SpeciesCountTimes'...
,1)),[2,1]),'double');
numberReplicates=100;
finalLacY = zeros(numberReplicates,1);
for R=[1:numberReplicates]
counts=cast(permute(hdf5read(inputFilename,sprintf('/Simulations/%07d/SpeciesCounts'...
,R)),[2,1]),'double');
finalLacY(R) = counts(length(ts),9);
end
hist(finalLacY);
axis([0 3000 1e0 6e1]); xlabel('LacY count number'); ylabel('Number of Cells');
